INTERFACE
SUBROUTINE SLTEND1( KIDIA, KFDIA, KLON, KLEV, KTEND,&
 & PDYNU, PDYNV, PDYNT, PDYNQ, PDYNO3, PDYNA, PLITOT,&
 & PTENU, PTENV, PTENT, PTENQ, PTENO3, PTENA,&
 & PVFU, PVFV, PVFT, PVFQ, PVFA,&
 & PSAVTEND,PGFLSLP) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : YGFL,YQ, YO3, YL, YI, YA
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTEND
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDYNA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLITOT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENO3(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVFA(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSAVTEND(KLON,KLEV,KTEND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLSLP(KLON,KLEV,YGFL%NDIMSLP)
END SUBROUTINE SLTEND1
END INTERFACE
